API referenceWebhooks
Create a webhook subscription
Scope webhooks:manage. The endpoint must be a public http(s) URL
(HTTPS in production; private, loopback and cloud-metadata addresses are
refused). The signing secret is returned once in this response.
At most 20 webhooks per organization.
apiKeyheader
AuthorizationBearer <fv_live_… or fv_test_…>Idempotency-Key?string8–128 chars of letters, digits, _, -, : or .; scoped to your organization, key and path for 24 hours
Length
8 <= length <= 128application/json- body
url*stringPublic HTTPS endpoint that answers 2xx within 10 s
Format
uriLength
length <= 2048events*array<string>Exact event types, resource.* wildcards or *
Items
1 <= items <= 64description?|Length
length <= 500is_active?booleanDefault
trueThe webhook, including its signing secret (shown once)
application/json- response
success*booleanrequest_id*stringFormat
uuiddata?curl -X POST 'https://api.flowverify.co/v1/webhooks' \ -H 'Content-Type: application/json' \ -d '{ "url": "http://example.com", "events": [ "string" ]}'Example Response
{ "success": true, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846", "data": { "object": "webhook", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "url": "string", "events": [ "string" ], "description": "string", "is_active": true, "api_version": "string", "last_delivery_at": "2019-08-24T14:15:22Z", "last_status": "string", "consecutive_failures": 0, "disabled_at": "2019-08-24T14:15:22Z", "disabled_reason": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "secret": "string" }}